//
// Classify200ResponseDetectionsInnerAttributes.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct Classify200ResponseDetectionsInnerAttributes: Codable, JSONEncodable, Hashable {

    public var isStainless: Bool?

    public init(isStainless: Bool? = nil) {
        self.isStainless = isStainless
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case isStainless = "is-stainless"
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(isStainless, forKey: .isStainless)
    }
}

